using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace GerbilManagerWebAPI.Migrations
{
    /// <inheritdoc />
    public partial class AddContactLitterProvenance : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "Provenance",
                table: "Litters",
                type: "text",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "Provenance",
                table: "Contacts",
                type: "text",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Provenance",
                table: "Litters");

            migrationBuilder.DropColumn(
                name: "Provenance",
                table: "Contacts");
        }
    }
}
